Summary: 	Basic XFCE4 Configuration
Name: 		xfce4-config
Version: 	4.8.1
Release: 	%mkrel 1
License: 	GPL
Group:		Graphical desktop/Xfce
Source0:	%{name}-%{version}.tar.xz
URL: 		http://pclinuxos.com
Buildroot: 	%{_tmppath}/%{name}-buildroot
Requires:	xfce4-cpugraph-plugin
Requires:	xfce4-screenshooter
Requires:	xfswitch-plugin
Requires:	xfce4-datetime-plugin

%description
This package provides default settings for XFCE 4.8.1

%prep

%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel
cp -R $RPM_BUILD_DIR/%{name}-%{version}/.config $RPM_BUILD_ROOT/etc/skel

mkdir -p $RPM_BUILD_ROOT/root
cp -R $RPM_BUILD_DIR/%{name}-%{version}/.config $RPM_BUILD_ROOT/root

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/skel
/root

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= mkdir -p /home/$idx/.config; done

SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= cp -af /etc/skel/.config/* /home/$idx/.config; done

SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1= chown -R "$idx:$idx" /home/$idx/.config; done


echo "If you are upgrading from XFCE4 4.6.x, please open a"
echo "terminal and type xfce4-session-logout to logout so"
echo "the panel can be reset for XFCE4 4.8.x. Thanks!"



%changelog
* Fri Mar 25 2011 Texstar <texstar at gmail.com> 4.8.1-1pclos2011
- 4.8.1

